libnvme(2)

NAME
struct nvme_mi_msg_hdr - General MI message header.

SYNOPSIS
struct nvme_mi_msg_hdr {
__u8 type;
__u8 nmp;
__u8 meb;
__u8 rsvd0;
};

Members

type
    MCTP message type, will always be NVME_MI_MSGTYPE_NVME

nmp NVMe-MI message parameters (including MI message type)

meb Management Endpoint Buffer flag; unused for libnvme-mi implementation

rsvd0
    currently reserved

Description
Wire format shared by both request and response messages, per NVMe-MI section 3.1. This is used for all message types, MI and Admin.